# wxStdOutputStream Class Reference
[Streams]

`#include </home/work/projects/wx/2.9/wx/interface/wx/stdstream.h>`

## Detailed Description

wxStdOutputStream is a std::ostream derived stream which writes to a wxOutputStream.

Example:

        wxFFileOutputStream file("out.txt.gz");
        wxZlibOutputStream gzipOutput(file, -1, wxZLIB_GZIP);
        wxStdOutputStream out(gzipOutput);

        out << "Hello world!" << std::endl;

##

Library: wxBase
Category: Streams

See also:
  wxOutputStream, wxStdOutputStreamBuffer

## Public Member Functions

| wxStdOutputStream (wxOutputStream &stream)
| Creates a std::ostream derived stream which writes to a wxOutputStream.
virtual | ~wxStdOutputStream ()
| Destructor.

List of all members.

## Constructor & Destructor Documentation

wxStdOutputStream::wxStdOutputStream | ( | wxOutputStream & | stream | ) |

Creates a std::ostream derived stream which writes to a wxOutputStream.

Parameters:

  | stream | Stream to write to.

virtual wxStdOutputStream::~wxStdOutputStream | ( |  | ) | `[inline, virtual]`

Destructor.

|  | [ top ]